import 'package:flutter/material.dart';
import 'package:date_format/date_format.dart';

var date = formatDate(DateTime.now(), [HH, ':', nn]);

class DetailPage extends StatelessWidget {
  final Map<String, dynamic> items;
  DetailPage({super.key, required this.items});

  @override
  Widget build(BuildContext context) {
    // print(items);
    return Scaffold(
      appBar: AppBar(
        backgroundColor: Colors.white,
        automaticallyImplyLeading: false,
        elevation: 0,
        toolbarHeight: 44,
        title: Text(
          date,
          style: TextStyle(color: Color(0xff303336), fontSize: 15),
        ),
        actions: [
          Icon(
            Icons.signal_cellular_alt,
            color: Color(0xff303336),
          ),
          Icon(
            Icons.wifi,
            color: Color(0xff303336),
          ),
          RotatedBox(
            quarterTurns: -3,
            child: Icon(
              Icons.battery_std,
              color: Color(0xff303336),
            ),
          )
        ],
      ),
      body: Column(
        children: [
          Row(
            children: [
              BackButton(),
              Text(
                'Detail',
                style: TextStyle(fontWeight: FontWeight.bold),
              ),
              Spacer(),
              ElevatedButton(
                onPressed: () {},
                style: ElevatedButton.styleFrom(
                    backgroundColor: Color(0xff078C84).withOpacity(0.1),
                    side: BorderSide(color: Color(0xff078C84)),
                    shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(35))),
                child: Row(
                  children: [
                    Text(
                      'Forum',
                      style: TextStyle(color: Color(0xff078C84)),
                    ),
                    SizedBox(
                      width: 5,
                    ),
                    Icon(
                      Icons.message_outlined,
                      color: Color(0xff078C84),
                    )
                  ],
                ),
              )
            ],
          ),
          Divider(),
          Container(
            height: 44,
            alignment: Alignment.centerLeft,
            padding: EdgeInsets.symmetric(horizontal: 10),
            child: Text(
              'Food & Drink',
              style: TextStyle(fontWeight: FontWeight.bold),
            ),
          ),
          Row(
            children: [
              Container(
                // decoration: BoxDecoration(),
                // width: 100,
                // height: 79.17,
                // child: gambar(items),
              ),
              Column(
                children: [
                  Container(
                    decoration: BoxDecoration(),
                    child: Text(
                      'Fresh smoked tuna with traditional recipe ...',
                      overflow: TextOverflow.clip,
                      style: TextStyle(
                          fontWeight: FontWeight.w400,
                          color: Color(0xff292D32)),
                    ),
                  ),
                  Container(
                    width: 272,
                    decoration: BoxDecoration(),
                    child: Text(
                      'Fresh tuna meat prepared with traditional recipes from Nort Maluku. All recipes mixed together ...',
                      overflow: TextOverflow.clip,
                      style: TextStyle(
                          fontWeight: FontWeight.w300,
                          color: Color(0xff292D32)),
                    ),
                  )
                ],
              )
            ],
          ),
        ],
      ),
    );
  }

  // Container gambar(items) {
  //   return Container(
  //     decoration: BoxDecoration(
  //         border: Border.all(color: items['color']),
  //         borderRadius: BorderRadius.all(Radius.circular(20)),
  //         color: items['color'].withOpacity(0.4)),
  //     padding: const EdgeInsets.all(5.0),
  //     child: Image.asset(
  //       items['image'],
  //       width: 36,
  //       height: 36,
  //       fit: BoxFit.cover,
  //     ),
  //   );
  // }
}
